def part3(tab):
    Ey = 10 * tab[0][5] + 20 * tab[1][5] + 30 * tab[2][5] + 40 * tab[3][5] + 50 * tab[4][5]
    Vy = ((10*tab[0][5])**2 + (20*tab[1][5])**2 + (30*tab[2][5])**2 + (40*tab[3][5])**2 + (50*tab[4][5])**2) / 5
    Ex = 10 * tab[5][0] + 20 * tab[5][1] + 30 * tab[5][2] + 40 * tab[5][3] + 50 * tab[5][4]
    Vx = ((10*tab[5][0])**2 + (20*tab[5][1])**2 + (30*tab[5][2])**2 + (40*tab[5][3])**2 + (50*tab[5][4])**2) / 5
    Ez = Ex + Ey
    Vz = Vx + Vy
    return [Ex, Vx, Ey, Vy, Ez, Vz]
